org.apache.olingo.odata2.api.edm

## Interface EdmEntitySet

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed
  All Known Implementing Classes:
    EdmEntitySetImpl

      public interface EdmEntitySet
      extends EdmMappable, EdmNamed, EdmAnnotatable

  Do not implement this interface or derive from class.
    A CSDL EntitySet element

    EdmEntitySet is the container for entity type instances as described in the OData protocol.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityContainer` | `getEntityContainer()` Get the entity container the entity set is contained in
    `EdmEntityType` | `getEntityType()` Get the entity type
    `EdmEntitySet` | `getRelatedEntitySet(EdmNavigationProperty navigationProperty)` Get the related entity set by providing the navigation property

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getEntityType

          EdmEntityType getEntityType()
                               throws EdmException

      Get the entity type
      Returns:
        `EdmEntityType`
      Throws:
        `EdmException`

    - #### getRelatedEntitySet

          EdmEntitySet getRelatedEntitySet(EdmNavigationProperty navigationProperty)
                                    throws EdmException

      Get the related entity set by providing the navigation property
      Parameters:
        `navigationProperty` - of type `EdmNavigationProperty`
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()
                                         throws EdmException

      Get the entity container the entity set is contained in
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.